<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>Add Payment Extra</strong></h3>
      </div>
      <div class="ibox-content">
        <form class="form-horizontal" autocomplete = "off" (ngSubmit)="onSubmit(f)" #f="ngForm">

          <div class="form-group">
            <label class="col-sm-2 control-label">Name
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "20"  placeholder = "Name" [(ngModel)]="payment.payment_extra" name="payment_extra" #payment_extra="ngModel" class="form-control"
                required>
                <div class="error-msg" *ngIf="payment_extra.errors && (payment_extra.dirty || payment_extra.touched || f.submitted)" >
                  <div [hidden]="!payment_extra.errors.required">
                    Name is required.
                  </div>
                </div>
            </div>
          </div>

          <div class="form-group" >
            <label class="col-sm-2 control-label">Default amount
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "6" placeholder = "Default amount" pattern = "\-*\d.+" [(ngModel)]="payment.default_amount" name="default_amount" #default_amount="ngModel"
                class="form-control" required>
              <div class="error-msg" *ngIf="default_amount.errors && (default_amount.dirty || default_amount.touched || f.submitted)">
                <div [hidden]="!default_amount.errors.required" >
                  Default amount is required.
                </div>
                <div [hidden]="!default_amount.errors.pattern" >
                  Only numbers are allowed.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
              <label class="col-sm-2 control-label">Vat
                </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "5" placeholder = "Vat" pattern="^[1-9]\d*(\.\d+)?$" [(ngModel)]="payment.vat" name="vat" #vat="ngModel" class="form-control" >
              <div class="error-msg" *ngIf="vat.errors && (vat.dirty || vat.touched)" >
                <div [hidden]="!vat.errors.pattern">
                  Only decimal numbers up to 2 digits are allowed.
                </div>
              </div> 
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Additional services</label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Additional services"  [(ngModel)]="payment.additional_service_id" name="additional_service_id" #additional_service_id="ngModel"
                class="form-control">
                <mat-option value="">Select</mat-option>
                <mat-option [value]="additional_service._id" *ngFor="let additional_service of serviceData">
                  {{additional_service.name}}
                </mat-option>
              </mat-select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Payment extra type <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = " Payment extra type" [(ngModel)]="payment.payment_extra_type" name="payment_extra_type" #payment_extra_type="ngModel"
                required>
                <mat-option [value]="payment_extra_type" *ngFor="let payment_extra_type of payment_extra_types">
                  {{payment_extra_type}}
                </mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="payment_extra_type.errors && (payment_extra_type.dirty || payment_extra_type.touched || f.submitted)" >
                <div [hidden]="!payment_extra_type.errors.required">
                  Payment extra type is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Is amount percentage
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Is amount percentage" [(ngModel)]="payment.is_amount_percantage" name="is_amount_percantage" #is_amount_percantage="ngModel"
              required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="is_amount_percantage.errors && (is_amount_percantage.dirty || is_amount_percantage.touched || f.submitted)" >
                <div [hidden]="!is_amount_percantage.errors.required">
                  Is amount percentage is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Editable
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Editable" [(ngModel)]="payment.editable" name="editable" #editable="ngModel" required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="editable.errors && (editable.dirty || editable.touched || f.submitted)" >
                <div [hidden]="!editable.errors.required">
                  Editable is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Locked
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control"  placeholder = "Locked"  [(ngModel)]="payment.locked" name="locked" #locked="ngModel" required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="locked.errors && (locked.dirty || locked.touched || f.submitted)" >
                <div [hidden]="!locked.errors.required">
                  Locked is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Price with vat
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Price with vat" [(ngModel)]="payment.price_with_vat" name="price_with_vat" #price_with_vat="ngModel" required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="price_with_vat.errors && (price_with_vat.dirty || price_with_vat.touched || f.submitted)" >
                <div [hidden]="!price_with_vat.errors.required">
                  Price with vat is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Multi applicable
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Multi applicable"  [(ngModel)]="payment.multi_applicable" name="multi_applicable" #multi_applicable="ngModel" required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="multi_applicable.errors && (multi_applicable.dirty || multi_applicable.touched || f.submitted)" >
                <div [hidden]="!multi_applicable.errors.required">
                  Multi applicable is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Visible on app
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "Visible on app"  [(ngModel)]="payment.visible_on_app" name="visible_on_app" #visible_on_app="ngModel" required>
                <mat-option value="1">Yes</mat-option>
                <mat-option value="0">No</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="visible_on_app.errors && (visible_on_app.dirty || visible_on_app.touched || f.submitted)" >
                <div [hidden]="!visible_on_app.errors.required">
                  Visible on app is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit" >Save</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/payment-extra']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>